Item Level Recovery Connections - Provision

Provisions a script which invokes an iSCSI connection to the backup data. Executing this script opens a file explorer displaying all the recoverable files and folders. This is an asynchronous operation. To know the status of provisioning, call GetProtectedItemOperationResult API.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{vaultName}/backupFabrics/{fabricName}/protectionContainers/{containerName}/protectedItems/{protectedItemName}/recoveryPoints/{recoveryPointId}/provisionInstantItemRecovery?api-version=2021-02-10

URI Parameters

Name In Required Type Description
containerName
path True
  • string

Container name associated with the backed up items.

fabricName
path True
  • string

Fabric name associated with the backed up items.

protectedItemName
path True
  • string

Backed up item name whose files/folders are to be restored.

recoveryPointId
path True
  • string

Recovery point ID which represents backed up data. iSCSI connection will be provisioned for this backed up data.

resourceGroupName
path True
  • string

The name of the resource group where the recovery services vault is present.

subscriptionId
path True
  • string

The subscription Id.

vaultName
path True
  • string

The name of the recovery services vault.

api-version
query True
  • string

Client Api Version.

Request Body

Name Type Description
eTag
  • string

Optional ETag.

location
  • string

Resource location.

properties ILRRequest:

ILRRequestResource properties

tags
  • object

Resource tags.

Responses

Name Type Description
202 Accepted

Accepted

Other Status Codes

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account.

Examples

Provision Instant Item Level Recovery for Azure Vm

Sample Request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/PythonSDKBackupTestRg/providers/Microsoft.RecoveryServices/vaults/PySDKBackupTestRsVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasvmcontainerv2;pysdktestrg;pysdktestv2vm1/protectedItems/vm;iaasvmcontainerv2;pysdktestrg;pysdktestv2vm1/recoveryPoints/1/provisionInstantItemRecovery?api-version=2021-02-10
{
  "properties": {
    "initiatorName": "Hello World",
    "recoveryPointId": "38823086363464",
    "renewExistingRegistration": true,
    "virtualMachineId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/pysdktestrg/providers/Microsoft.Compute/virtualMachines/pysdktestv2vm1",
    "objectType": "IaasVMILRRegistrationRequest"
  }
}

Sample Response

Azure-AsyncOperation: https://management.azure.com/Subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/PythonSDKBackupTestRg/providers/Microsoft.RecoveryServices/vaults/PySDKBackupTestRsVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasvmcontainerv2;pysdktestrg;pysdktestv2vm1/protectedItems/vm;iaasvmcontainerv2;pysdktestrg;pysdktestv2vm1/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2016-12-01
Location: https://management.azure.com/Subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/PythonSDKBackupTestRg/providers/Microsoft.RecoveryServices/vaults/PySDKBackupTestRsVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasvmcontainerv2;pysdktestrg;pysdktestv2vm1/protectedItems/vm;iaasvmcontainerv2;pysdktestrg;pysdktestv2vm1/operationResults/00000000-0000-0000-0000-000000000000?api-version=2016-12-01
Retry-After: 60

Definitions

AzureFileShareProvisionILRRequest

Update snapshot Uri with the correct friendly Name of the source Azure file share.

CloudError

An error response from the Container Instance service.

CloudErrorBody

An error response from the Container Instance service.

ErrorAdditionalInfo

The resource management error additional info.

IaasVMILRRegistrationRequest

Restore files/folders from a backup copy of IaaS VM.

ILRRequestResource

Parameters to Provision ILR API.

AzureFileShareProvisionILRRequest

Update snapshot Uri with the correct friendly Name of the source Azure file share.

Name Type Description
objectType string:

This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types.

recoveryPointId
  • string

Recovery point ID.

sourceResourceId
  • string

Source Storage account ARM Id

CloudError

An error response from the Container Instance service.

Name Type Description
error

The error object.

CloudErrorBody

An error response from the Container Instance service.

Name Type Description
additionalInfo

The error additional info.

code
  • string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

A list of additional details about the error.

message
  • string

A message describing the error, intended to be suitable for display in a user interface.

target
  • string

The target of the particular error. For example, the name of the property in error.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info
  • object

The additional info.

type
  • string

The additional info type.

IaasVMILRRegistrationRequest

Restore files/folders from a backup copy of IaaS VM.

Name Type Description
initiatorName
  • string

iSCSI initiator name.

objectType string:

This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types.

recoveryPointId
  • string

ID of the IaaS VM backup copy from where the files/folders have to be restored.

renewExistingRegistration
  • boolean

Whether to renew existing registration with the iSCSI server.

virtualMachineId
  • string

Fully qualified ARM ID of the virtual machine whose the files / folders have to be restored.

ILRRequestResource

Parameters to Provision ILR API.

Name Type Description
eTag
  • string

Optional ETag.

id
  • string

Resource Id represents the complete path to the resource.

location
  • string

Resource location.

name
  • string

Resource name associated with the resource.

properties ILRRequest:

ILRRequestResource properties

tags
  • object

Resource tags.

type
  • string

Resource type represents the complete path of the form Namespace/ResourceType/ResourceType/...